import { z } from "zod";

export const editionSchema = z.object({
  title: z
    .string({ required_error: "Le titre est obligatoire" })
    .min(1, "Le titre est obligatoire")
    .max(500, "500 caractères au maximum"),
  categoryId: z
    .string({ required_error: "La catégorie est obligatoire" })
    .min(1, "La catégorie est obligatoire"),

  document: z.string().max(500, "500 caractères au maximum"),
  image: z.string().max(500, "500 caractères au maximum").nullable(),
});

export type EditionSchema = z.infer<typeof editionSchema>;
